## kio-extras 17.12.3

=== activities/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

add_definitions(-DTRANSLATION_DOMAIN=\"kio5_activities\")

include_directories (
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   )

find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Sql)
find_package (KF5 REQUIRED COMPONENTS KIO I18n Activities)

add_subdirectory(fileitemplugin)

########### next target ###############

set (kio_activities_PART_SRCS
   KioActivities.cpp
   utils/qsqlquery_iterator.cpp
   common/database/Database.cpp
   common/database/schema/ResourcesDatabaseSchema.cpp
   )

add_library (
   kio_activities MODULE
   ${kio_activities_PART_SRCS}
   )

target_link_libraries (
   kio_activities
   Qt5::Sql
   KF5::KIOCore
   KF5::DBusAddons
   KF5::Activities
   KF5::I18n
   )

install (
   TARGETS kio_activities
   DESTINATION ${KDE_INSTALL_PLUGINDIR}
   )

########### install files ###############

install (
   FILES activities.protocol
   DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
   )

=== filter/CMakeLists.txt ===
include(ECMQtDeclareLoggingCategory)

set(kio_filter_SRCS filter.cc)

ecm_qt_declare_logging_category(kio_filter_SRCS
                                HEADER loggingcategory.h
                                IDENTIFIER KIO_FILTER_DEBUG
                                CATEGORY_NAME kio_filter
                                DEFAULT_SEVERITY Debug)

add_library(kio_filter MODULE ${kio_filter_SRCS})
target_link_libraries(kio_filter KF5::Archive KF5::KIOCore)
set_target_properties(kio_filter PROPERTIES OUTPUT_NAME "filter")

install(TARGETS kio_filter DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio)
install( FILES gzip.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )

if(KArchive_HAVE_BZIP2)
	install( FILES bzip.protocol bzip2.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )
endif()

if(KArchive_HAVE_LZMA)
	install( FILES lzma.protocol xz.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )
endif()

=== fish/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_fish\")

include(CheckIncludeFiles)
include(CheckFunctionExists)
include(ECMQtDeclareLoggingCategory)

check_include_files(termios.h HAVE_TERMIOS_H)
check_include_files(util.h HAVE_UTIL_H)
check_include_files(sys/ioctl.h HAVE_SYS_IOCTL_H)
check_include_files(pty.h HAVE_PTY_H)
check_include_files("sys/types.h;libutil.h" HAVE_LIBUTIL_H)
check_function_exists(getpt       HAVE_GETPT)
check_function_exists(grantpt     HAVE_GRANTPT)
include(CheckLibraryExists)
check_library_exists(util  openpty "" HAVE_OPENPTY)
check_library_exists(util  isastream "" HAVE_ISASTREAM)

find_library(UTIL_LIBRARIES util)
mark_as_advanced(UTIL_LIBRARIES)

configure_file(config-fish.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-fish.h)

########### next target ###############
# on Linux there is md5sum, on FreeBSD there is md5
find_program(MD5SUM_EXECUTABLE NAMES md5sum md5 )
    
if (MD5SUM_EXECUTABLE)

   if ("${MD5SUM_EXECUTABLE}" MATCHES "md5sum")
      set(CUT_ARG "-f 1")                            # for md5sum the sum is in the 1st column
   else ()
      set(CUT_ARG "-f 4")                            # for md5 the sum is in the 4th column
   endif ()

   if (WIN32)
      set(FISH_GENERATOR "generate_fishcode.bat")
   else ()
      set(FISH_GENERATOR "generate_fishcode.sh")
   endif ()
   add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/fishcode.h 
      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/${FISH_GENERATOR} ARGS ${CMAKE_CURRENT_SOURCE_DIR}/fish.pl ${MD5SUM_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/fishcode.h "${CUT_ARG}"
      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/fish.pl
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )

   set(kio_fish_PART_SRCS fish.cpp ${CMAKE_CURRENT_BINARY_DIR}/fishcode.h)

   ecm_qt_declare_logging_category(kio_fish_PART_SRCS
                                   HEADER loggingcategory.h
                                   IDENTIFIER KIO_FISH_DEBUG
                                   CATEGORY_NAME kio_fish
                                   DEFAULT_SEVERITY Debug)

   add_library(kio_fish MODULE ${kio_fish_PART_SRCS})

   target_link_libraries(kio_fish KF5::KIOCore KF5::WidgetsAddons KF5::I18n)

   set_target_properties(kio_fish PROPERTIES OUTPUT_NAME "fish")

   if (UTIL_LIBRARIES)
      target_link_libraries(kio_fish ${UTIL_LIBRARIES})
   endif ()

   install(TARGETS kio_fish  DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio )


   ########### install files ###############

   install( FILES fish.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )

endif ()

=== sftp/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_sftp\")

include_directories(${LIBSSH_INCLUDE_DIR})

add_library(kio_sftp MODULE kio_sftp.cpp kio_smtp_debug.cpp)
target_link_libraries(kio_sftp
   KF5::KIOCore
   KF5::WidgetsAddons # KMessageBox
   KF5::I18n
   ${LIBSSH_LIBRARIES})
set_target_properties(kio_sftp PROPERTIES OUTPUT_NAME "sftp")

install(TARGETS kio_sftp DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio)

install( FILES sftp.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== activities/fileitemplugin/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

find_package (KF5 REQUIRED COMPONENTS KIO Activities)
find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Sql)

include_directories (
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   )

set (kactivitymanagerd_fileitem_linking_plugin_SRCS
   FileItemLinkingPlugin.cpp
   FileItemLinkingPluginActionLoader.cpp
   ../utils/qsqlquery_iterator.cpp
   )

add_library (
   kactivitymanagerd_fileitem_linking_plugin MODULE
   ${kactivitymanagerd_fileitem_linking_plugin_SRCS}
   )

kcoreaddons_desktop_to_json (
   kactivitymanagerd_fileitem_linking_plugin
   kactivitymanagerd_fileitem_linking_plugin.desktop
   SERVICE_TYPES kfileitemactionplugin.desktop
   )

target_link_libraries (
   kactivitymanagerd_fileitem_linking_plugin
   Qt5::Core
   Qt5::Sql
   KF5::KIOFileWidgets
   KF5::I18n
   KF5::Activities
   )

install (
   TARGETS kactivitymanagerd_fileitem_linking_plugin
   DESTINATION ${KDE_INSTALL_PLUGINDIR}
   )
install (
   FILES kactivitymanagerd_fileitem_linking_plugin.desktop
   DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
   )

=== archive/autotests/CMakeLists.txt ===
add_executable(testkioarchive testkioarchive.cpp)
target_link_libraries(testkioarchive KF5::KIOCore KF5::Archive Qt5::Test)
ecm_mark_as_test(testkioarchive)
add_test(testkioarchive testkioarchive)

=== man/tests/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. )

########### next target ###############

set(kio_man_test_SRCS 
    kio_man_test.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../man2html.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../request_hash.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../kio_man.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../kio_man_debug.cpp)
ecm_gperf_generate(../requests.gperf ${CMAKE_CURRENT_BINARY_DIR}/request_gperf.h kio_man_test_SRCS)



add_executable(kio_man_test ${kio_man_test_SRCS})
ecm_mark_as_test(kio_man_test)
set_target_properties(kio_man_test PROPERTIES COMPILE_FLAGS "-DSIMPLE_MAN2HTML -DKIO_MAN_TEST")
target_link_libraries(kio_man_test Qt5::Widgets KF5::I18n KF5::KIOCore KF5::Archive KF5::Codecs)


########### next target ###############

set(man2html_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/../request_hash.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../man2html.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../kio_man_debug.cpp)
ecm_gperf_generate(../requests.gperf ${CMAKE_CURRENT_BINARY_DIR}/request_gperf.h man2html_SRCS)


add_executable(man2html ${man2html_SRCS})
ecm_mark_as_test(man2html)
set_target_properties(man2html PROPERTIES COMPILE_FLAGS -DSIMPLE_MAN2HTML)
target_link_libraries(man2html Qt5::Core)

=== debian/changelog ===
kio-extras (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * Partial sync from debian unstable:
    - Drop build depend on libslp-dev (LP: #1762328)
    - Drop obolete build depend on libkf5kdelibs4support-dev
    - Update watchfile to v4 and use https
    - Update standards version
    - Update not-installed
    - Add uptream metadata and signing key

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 09 Apr 2018 10:16:11 +0100

kio-extras (4:17.12.3-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * New upstream release (17.12.3)

  [ José Manuel Santamaría Lema ]
  * Use wildcards in debian/not-installed so we won't have spurious
    missing files reports for non-amd64 architectures.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:27:38 +0000

kio-extras (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New beta release
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:58:21 +0000

kio-extras (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * dev files not used yet - put in not-installed to package
    if needed in future
  * Update lintian overrides
  * New upstream release (17.08.3)
  * Enable building with qtwebengine on arm64 now that exists

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:06:26 +0000

=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               gperf,
               kinit-dev (>= 5.31.0~),
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5plasma-dev (>= 5.31.0~),
               libkf5pty-dev (>= 5.31.0~),
               libkf5solid-dev (>= 5.31.0~),
               libmtp-dev,
               libopenexr-dev,
               libphonon4qt5-dev (>= 4:4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libsmbclient-dev,
               libssh-dev (>= 0.6.0),
               libtag1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~) [amd64 i386 arm64 armhf],
               shared-mime-info
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Extra functionality for kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Breaks: kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Description: Extra functionality for kioslaves data files.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='kio-extras-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	# Tests require a registered logind session. :/
	# If you are reading this, your help is needed to make this work in
	# a reproduceable way either in the buildds or in the autopkgtests
	# servers
	# xvfb-run -a dh_auto_test

## kio-extras 18.04.3

=== debian/changelog ===
kio-extras (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:18:01 +0100

kio-extras (4:17.12.3-0ubuntu3) cosmic; urgency=medium

  * No-change rebuild against latest openexr

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 May 2018 08:34:20 +0100

kio-extras (4:17.11.80-0ubuntu1) UNRELEASED; urgency=medium

  * Update versions in install files

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Nov 2017 22:06:31 +0000

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
                qtbase5-dev (>= 5.6.1~),
                qtpositioning5-dev (>= 5.6.1~),
                qtwebengine5-dev (>= 5.6.1~) [amd64 i386 arm64 armhf],
-               shared-mime-info
+               shared-mime-info,
 Standards-Version: 4.1.2
 Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras

## kio-extras 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Applications Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "18")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
project(kio-extras VERSION ${KDE_APPLICATIONS_VERSION})

include(FeatureSummary)

set(QT_MIN_VERSION "5.5.0")
set(KF5_MIN_VERSION "5.40.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Network Widgets Svg)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
         PURPOSE "Required for tests"
         TYPE OPTIONAL
         )
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    ConfigWidgets
    CoreAddons
    DBusAddons
    DocTools
    DNSSD
    IconThemes
    I18n
    KIO
    Solid
    Bookmarks
    GuiAddons
)
# As this is the check used for linkage, only require it in the same location...
if (UNIX)
    find_package(KF5Pty ${KF5_MIN_VERSION} REQUIRED)
endif()

include(CMakePackageConfigHelpers)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkNonGuiExecutable)
include(ECMMarkAsTest)
include(ECMOptionalAddSubdirectory)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

find_package(KF5Activities QUIET)
set_package_properties(KF5Activities PROPERTIES
    PURPOSE "Provides the activities:/ kioslave and fileitem plugin."
    TYPE OPTIONAL
)

find_package(Phonon4Qt5 4.6.60 NO_MODULE)
set_package_properties(Phonon4Qt5 PROPERTIES
   DESCRIPTION "Qt-based audio library"
   PURPOSE "Required for the audio preview plugin"
   TYPE OPTIONAL)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(NOT WIN32)
    # we need a version of samba which has already smbc_set_context(), Alex
    set(SAMBA_REQUIRE_SMBC_SET_CONTEXT TRUE)
    set(SAMBA_REQUIRE_SMBC_OPTION_SET TRUE)
    find_package(Samba)
    set_package_properties(Samba PROPERTIES DESCRIPTION "the SMB client library, a version with smbc_set_context() and smbc_option_set()"
                        URL "http://www.samba.org"
                        TYPE OPTIONAL
                        PURPOSE "Needed to build the SMB kioslave"
                        )
endif()

find_package(LibSSH 0.6.0)
set_package_properties(LibSSH PROPERTIES DESCRIPTION "the SSH library with SFTP support"
                       URL "http://www.libssh.org/"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the SFTP kioslave"
                      )

find_package(Mtp)
set_package_properties(Mtp PROPERTIES DESCRIPTION "the MTP library"
                       URL "http://libmtp.sourceforge.net/"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the MTP kioslave"
                       )

# ECM's KDECompilerSettings.cmake should take care of enabling supporting on
# 32bit architectures.
# Thorw a fatal error if off_t isn't >=64bit to ensure that large files are working
# as expected.
# BUG: 165449
if(UNIX)
    check_cxx_source_compiles("
        #include <sys/types.h>
        /* Check that off_t can represent 2**63 - 1 correctly.
            We can't simply define LARGE_OFF_T to be 9223372036854775807,
            since some C++ compilers masquerading as C compilers
            incorrectly reject 9223372036854775807.  */
        #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))

        int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721 && LARGE_OFF_T % 2147483647 == 1) ? 1 : -1];
        int main() { return 0; }
    "
    OFFT_IS_64BIT)

    if(NOT OFFT_IS_64BIT)
        message(FATAL_ERROR "Large file support is not enabled.")
    endif()

    find_package(Gperf)
    set_package_properties(Gperf PROPERTIES TYPE OPTIONAL
                           PURPOSE "Needed to build the man kioslave"
                           )

    find_package(KF5KHtml QUIET)
    set_package_properties(KF5KHtml PROPERTIES TYPE OPTIONAL
                           PURPOSE "Needed to build the man kioslave"
                           )
else()
    # FIXME: on windows we ignore support until trash gets integrated
endif()

add_subdirectory( doc )

add_subdirectory( about )
if(KF5Activities_FOUND)
  add_subdirectory( activities )
endif()
add_subdirectory( bookmarks )
add_subdirectory( filter )
if(Phonon4Qt5_FOUND)
    add_subdirectory( kfileaudiopreview )
endif()
add_subdirectory( info )
add_subdirectory( archive )
if(NOT WIN32)
    add_subdirectory( network )
endif()
add_subdirectory( recentdocuments )
if (NOT WIN32)
    # does not compile: fish.cpp(41): fatal error C1083: Cannot open include file: 'sys/resource.h': No such file or directory
    # Used for getting the resource limit for closing all child process FDs. Could be completely replaced by fcloseall() if available for Unix or _fcloseall() for Windows, either conditionally on Q_OS_type or using a configure test.
    add_subdirectory( fish )
endif()
add_subdirectory( thumbnail )
add_subdirectory( docfilter )
if (NOT WIN32 AND LIBSSH_FOUND)
    # does not compile on Windows: kio_sftp.cpp(28): fatal error C1083: Cannot open include file: 'utime.h': No such file or directory
    add_subdirectory(sftp)
endif ()
add_subdirectory(settings)
add_subdirectory( filenamesearch )
if (MTP_FOUND)
  add_subdirectory(mtp)
endif()

if(NOT WIN32)
   if(Gperf_FOUND AND KF5KHtml_FOUND)
     add_subdirectory( man )
   endif()
   check_include_files(rpc/rpc.h HAVE_RPC_RPC_H)
   add_feature_info("NFS kioslave" HAVE_RPC_RPC_H "The RPC library is needed to build the NFS kioslave")
   if(HAVE_RPC_RPC_H)
     add_subdirectory( nfs )
   endif()
endif()

if(SAMBA_FOUND)
    add_subdirectory(smb)
endif()

configure_file (config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== about/CMakeLists.txt ===




########### next target ###############

set(kio_about_PART_SRCS kio_about.cpp )


add_library(kio_about ${kio_about_PART_SRCS})


target_link_libraries(kio_about  KF5::KIOCore Qt5::Network)

install(TARGETS kio_about  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES about.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== activities/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
    KF5::DBusAddons
    KF5::Activities
    KF5::I18n
+   Qt5::Network
    )
 
 install (

=== recentdocuments/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_recentdocuments\")

add_library(kio_recentdocuments MODULE recentdocuments.cpp)
target_link_libraries(kio_recentdocuments KF5::KIOCore KF5::I18n Qt5::DBus Qt5::Network) 
set_target_properties(kio_recentdocuments PROPERTIES OUTPUT_NAME "recentdocuments")
install(TARGETS kio_recentdocuments DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio)

########### next target ###############

add_library(kded_recentdocumentsnotifier MODULE recentdocumentsnotifier.cpp)
set_target_properties(kded_recentdocumentsnotifier PROPERTIES OUTPUT_NAME recentdocumentsnotifier)
kcoreaddons_desktop_to_json(kded_recentdocumentsnotifier recentdocumentsnotifier.desktop)

target_link_libraries(kded_recentdocumentsnotifier KF5::KIOCore KF5::DBusAddons)

install(TARGETS kded_recentdocumentsnotifier  DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded )

########### install files ###############

install( FILES recentdocuments.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== settings/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_settings\")

add_library(kio_settings MODULE kio_settings.cpp)
target_link_libraries(kio_settings KF5::KIOCore Qt5::Network)
set_target_properties(kio_settings PROPERTIES OUTPUT_NAME "settings")

install(TARGETS kio_settings  DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio )
install( FILES settings.protocol DESTINATION  ${SERVICES_INSTALL_DIR} )

=== sftp/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
    KF5::KIOCore
    KF5::WidgetsAddons # KMessageBox
    KF5::I18n
+   Qt5::Network
    ${LIBSSH_LIBRARIES})
 set_target_properties(kio_sftp PROPERTIES OUTPUT_NAME "sftp")

=== thumbnail/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_thumbnail\")

find_package(OpenEXR)
set_package_properties(OpenEXR PROPERTIES DESCRIPTION "API for accessing OpenEXR formatted images"
                       URL "http://www.openexr.com"
                       TYPE OPTIONAL
                       PURPOSE "Provides support for OpenEXR formatted images in the thumbnail kioslave"
                      )

include_directories(${CMAKE_BINARY_DIR})

########### next target ###############

set(kio_thumbnail_PART_SRCS thumbnail.cpp imagefilter.cpp)

add_library(kio_thumbnail MODULE ${kio_thumbnail_PART_SRCS})

target_link_libraries(kio_thumbnail
	KF5::CoreAddons
	KF5::KIOCore
	KF5::KIOWidgets
	KF5::Solid
	KF5::IconThemes
 	KF5::I18n
)

set_target_properties(kio_thumbnail PROPERTIES OUTPUT_NAME "thumbnail")

install(TARGETS kio_thumbnail DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio)

########### next target ###############

set(imagethumbnail_PART_SRCS imagecreator.cpp)

add_library(imagethumbnail MODULE ${imagethumbnail_PART_SRCS})

target_link_libraries(imagethumbnail
    KF5::KIOWidgets
)

install(TARGETS imagethumbnail DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

install( FILES directorythumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})

########### next target ###############

set(jpegthumbnail_PART_SRCS jpegcreator.cpp)
kconfig_add_kcfg_files(jpegthumbnail_PART_SRCS jpegcreatorsettings5.kcfgc)
add_library(jpegthumbnail MODULE ${jpegthumbnail_PART_SRCS})

target_link_libraries(jpegthumbnail
	Qt5::Core
	Qt5::Gui
	KF5::KIOCore
	KF5::KIOWidgets
	KF5::I18n
	KF5::ConfigCore
	KF5::ConfigGui
)

install(FILES jpegcreatorsettings5.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(TARGETS jpegthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set(svgthumbnail_PART_SRCS svgcreator.cpp)

add_library(svgthumbnail MODULE ${svgthumbnail_PART_SRCS})

target_link_libraries(svgthumbnail
	Qt5::Gui
	Qt5::Svg
	KF5::KIOCore
	KF5::KIOWidgets
)

install(TARGETS svgthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set(textthumbnail_PART_SRCS textcreator.cpp)

add_library(textthumbnail MODULE ${textthumbnail_PART_SRCS})

target_link_libraries(textthumbnail
    Qt5::Gui
    KF5::KIOWidgets
)

install(TARGETS textthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})

############ next target ###############

find_package(Qt5WebEngineWidgets 5.7.0 QUIET)
set_package_properties(Qt5WebEngineWidgets PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Provides support for HTML previews in the thumbnail ioslave"
                      )

if (Qt5WebEngineWidgets_FOUND)

    set(htmlthumbnail_PART_SRCS htmlcreator.cpp)

    add_library(htmlthumbnail MODULE ${htmlthumbnail_PART_SRCS})

    target_link_libraries(htmlthumbnail Qt5::Core Qt5::WebEngineWidgets KF5::KIOWidgets)

    install(TARGETS htmlthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})

endif()
########### next target ###############

if(NOT WIN32)
set(djvuthumbnail_PART_SRCS djvucreator.cpp)

add_library(djvuthumbnail MODULE ${djvuthumbnail_PART_SRCS})

target_link_libraries(djvuthumbnail KF5::KIOWidgets)

install(TARGETS djvuthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES djvuthumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})

endif()

########### next target ###############

if(OpenEXR_FOUND)

    set(exrthumbnail_PART_SRCS exrcreator.cpp)

    add_library(exrthumbnail MODULE ${exrthumbnail_PART_SRCS})
    target_link_libraries(exrthumbnail
            KF5::KIOCore
            KF5::KIOWidgets
            ${OpenEXR_LIBRARIES}
    )
    target_include_directories(exrthumbnail SYSTEM PRIVATE ${OpenEXR_INCLUDE_DIRS})

    # OpenEXR headers use exceptions; at least clang refuses to build the target
    # when exceptions are not enabled.
    kde_source_files_enable_exceptions(exrcreator.cpp)

    install(TARGETS exrthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})
    install( FILES exrthumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})

endif()

########### next target ###############

# if(X11_Xcursor_FOUND)
#
#    set(cursorthumbnail_PART_SRCS cursorcreator.cpp)
#
#    add_library(cursorthumbnail MODULE ${cursorthumbnail_PART_SRCS})
#
#    target_link_libraries(cursorthumbnail ${X11_Xcursor_LIB} ${KIO_LIBRARIES})
#
#    install(TARGETS cursorthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})
#    install( FILES cursorthumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})
#
# endif()
#

########### next target ###############

set ( windowsexethumbnail_SRCS windowsexecreator.cpp icoutils_common.cpp)
set ( windowsimagethumbnail_SRCS windowsimagecreator.cpp icoutils_common.cpp)

if(WIN32)
    set ( windowsexethumbnail_SRCS ${windowsexethumbnail_SRCS} icoutils_win.cpp )
    set ( windowsimagethumbnail_SRCS ${windowsimagethumbnail_SRCS} icoutils_win.cpp )
else()
    set ( windowsexethumbnail_SRCS ${windowsexethumbnail_SRCS} icoutils_wrestool.cpp )
    set ( windowsimagethumbnail_SRCS ${windowsimagethumbnail_SRCS} icoutils_wrestool.cpp )
endif()

add_library(windowsexethumbnail MODULE ${windowsexethumbnail_SRCS} )
target_link_libraries ( windowsexethumbnail KF5::KIOWidgets )
install ( TARGETS windowsexethumbnail DESTINATION ${PLUGIN_INSTALL_DIR} )
install ( FILES windowsexethumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

add_library(windowsimagethumbnail MODULE ${windowsimagethumbnail_SRCS} )
target_link_libraries ( windowsimagethumbnail KF5::KIOWidgets )
install ( TARGETS windowsimagethumbnail DESTINATION ${PLUGIN_INSTALL_DIR} )
install ( FILES windowsimagethumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

########### next target ###############

set(comicbookthumbnail_SRCS comiccreator.cpp)
add_library(comicbookthumbnail MODULE ${comicbookthumbnail_SRCS})
target_link_libraries(comicbookthumbnail
    Qt5::Gui
    KF5::Archive
    KF5::KIOWidgets
)
if (UNIX)
    target_link_libraries(comicbookthumbnail KF5::Pty)
endif ()
install(TARGETS comicbookthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})

# ########### next target ###############

set(kritathumbnail_SRCS kritacreator.cpp)
add_library(kritathumbnail MODULE ${kritathumbnail_SRCS})

target_link_libraries(kritathumbnail
    KF5::KIOWidgets
    KF5::Archive
    Qt5::Gui
)

install(TARGETS kritathumbnail  DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target #################

find_package(Taglib 1.11)

if(TAGLIB_FOUND)
    set(audiothumbnail_SRCS audiocreator.cpp)
    add_library(audiothumbnail MODULE ${audiothumbnail_SRCS})
    target_include_directories(audiothumbnail BEFORE PRIVATE ${TAGLIB_INCLUDES})
    target_link_libraries(audiothumbnail ${TAGLIB_LIBRARIES} KF5::KIOWidgets)
    install(TARGETS audiothumbnail DESTINATION ${PLUGIN_INSTALL_DIR})
    set(audiothumbnail_desktop audiothumbnail.desktop)
endif(TAGLIB_FOUND)

########### install files ###############

install(FILES thumbcreator.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES
    thumbnail.protocol
    svgthumbnail.desktop
    imagethumbnail.desktop
    jpegthumbnail.desktop
    textthumbnail.desktop
#    desktopthumbnail.desktop
    comicbookthumbnail.desktop
    kraorathumbnail.desktop
    ${audiothumbnail_desktop}
    DESTINATION ${SERVICES_INSTALL_DIR})

if (Qt5WebEngineWidgets_FOUND)
   install(FILES htmlthumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})

endif()

=== filenamesearch/kded/CMakeLists.txt ===
set (KDED_FILENAMESEARCH_SRCS
     filenamesearchmodule.cpp
)

add_library(filenamesearchmodule MODULE ${KDED_FILENAMESEARCH_SRCS})
kcoreaddons_desktop_to_json(filenamesearchmodule filenamesearchmodule.desktop)

target_link_libraries(filenamesearchmodule
    KF5::DBusAddons
    KF5::KIOCore
)

install(TARGETS filenamesearchmodule DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded)

=== doc/kioslave/recentdocuments/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kioslave5/recentdocuments)

=== debian/changelog ===
kio-extras (4:18.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Disable the HTML thumbnailer: (CVE-2018-19120) (Closes: #913595)
    - remove the qtwebengine5-dev build dependency

 -- Pino Toscano <pino@debian.org>  Mon, 12 Nov 2018 23:27:05 +0100

kio-extras (4:18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix Vcs-Git field.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Sep 2018 08:41:30 +0200

kio-extras (4:18.08.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Sep 2018 08:23:20 +0200

kio-extras (4:18.04.3-1) experimental; urgency=medium

  * New upstream release (18.04.3).
  * Update build-deps and deps with the info from cmake
  * Bump to Standards-Version 4.1.4
  * Update Vcs fields
  * Update copyright information
  * Update install files
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Jul 2018 11:15:24 +0200

kio-extras (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Fix small comma vs dot typo in debian/control.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 14:53:18 +0100

kio-extras (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove debian/meta/cmake-ignore, unused.
  * Remove unused build dependencies: kinit-dev, libexiv2-dev, libjpeg-dev,
    libkf5kdelibs4support-dev, and libkf5plasma-dev. (Closes: #880317)
  * In kio-extras-data, remove the unused ${shlibs:Depends} substvar, and use
    ${perl:Depends}.
  * Update lintian overrides.
  * Limit the qtwebengine5-dev build dependency only to the architectures
    where it is available: amd64 arm64 armhf i386 mipsel.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:24:57 +0100

kio-extras (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 15:35:51 +0200

kio-extras (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:01:32 +0000

kio-extras (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:36:24 +0000

kio-extras (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:31 +0000

kio-extras (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:57 +0000

kio-extras (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:18:42 +0000

kio-extras (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:24 +0000

kio-extras (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:35 +0000

kio-extras (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:59:37 +0000

kio-extras (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:19:06 +0000

kio-extras (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:27:51 +0000

kio-extras (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:53 +0000

kio-extras (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:21 +0000

kio-extras (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:52 +0000

kio-extras (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:55 +0000

kio-extras (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Jul 2016 16:36:34 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-
-l10npkgs_firstversion_ok := 4:17.03.90-0~
+l10npkgs_firstversion_ok := 4:16.04.3-7~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='kio-extras-dbg (<= 4:15.12.1-1~~)'
+	$(overridden_command) --dbgsym-migration='kio-extras-dbg (<= 4:15.12.1-1~~)'
 
 override_dh_auto_test:
 	# Tests require a registered logind session. :/

## kio-extras 18.12.3

=== debian/changelog ===
kio-extras (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:29:23 +0000

kio-extras (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:16:41 +0000

kio-extras (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:11:19 +0000

kio-extras (4:18.12.0-0ubuntu1) disco; urgency=medium

  * Update install files.
  * New upstream beta release (18.11.80)
  * d/patches: upstream_smb-dnssd-service-discovery-fallback.patch
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:49:38 +0000

kio-extras (4:18.08.3-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 17:13:52 +0000

=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               gperf,
               libkf5activities-dev (>= 5.3.0~),
               libkf5archive-dev (>= 5.40.0~),
               libkf5bookmarks-dev (>= 5.40.0~),
               libkf5config-dev (>= 5.40.0~),
               libkf5configwidgets-dev (>= 5.40.0~),
               libkf5coreaddons-dev (>= 5.40.0~),
               libkf5dbusaddons-dev (>= 5.40.0~),
               libkf5dnssd-dev (>= 5.40.0~),
               libkf5doctools-dev (>= 5.40.0~),
               libkf5guiaddons-dev (>= 5.40.0~),
               libkf5i18n-dev (>= 5.40.0~),
               libkf5iconthemes-dev (>= 5.40.0~),
               libkf5khtml-dev (>= 5.3.0),
               libkf5kio-dev (>= 5.40.0~),
               libkf5pty-dev (>= 5.40.0~),
               libkf5solid-dev (>= 5.40.0~),
               libmtp-dev,
               libopenexr-dev,
               libphonon4qt5-dev (>= 4:4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.5.0~),
               libsmbclient-dev,
               libssh-dev (>= 0.6.0),
               libtag1-dev (>= 1.11~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.5.0~),
               shared-mime-info,
Standards-Version: 4.2.1
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kactivities
Replaces: kactivities
Description: Extra functionality for kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Replaces: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Description: Extra functionality for kioslaves data files.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-l10npkgs_firstversion_ok := 4:16.04.3-7~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## kio-extras 19.04.3

=== debian/changelog ===
kio-extras (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:15:02 +0100

kio-extras (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:06:59 +0100

kio-extras (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:58:50 +0100

kio-extras (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Drop upstream applied patch.
  * New build dep on libkf5syntaxhighlighting-dev.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:44:21 +0100

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
                libkf5kio-dev (>= 5.40.0~),
                libkf5pty-dev (>= 5.40.0~),
                libkf5solid-dev (>= 5.40.0~),
+               libkf5syntaxhighlighting-dev (>= 5.40.0~),
                libmtp-dev,
                libopenexr-dev,
                libphonon4qt5-dev (>= 4:4.6.60),

## kio-extras 19.08.1

=== debian/changelog ===
kio-extras (4:19.08.1-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 4:17.08.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 16 Dec 2017 12:43:57 +0000]
  * Remove qtwebengine5-dev build-dependency.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 06 Dec 2019 02:57:12 +0000

kio-extras (4:19.08.1-1) unstable; urgency=medium

  * New upstream release (19.08.1).
  * Bump Standards-Version to 4.4.0.
  * Drop dbg migration
  * Follow upstream soversion bump for molleenetwork5
  * Build with hardening bindnow
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 Sep 2019 20:02:15 -0700

=== debian/control ===
--- 
+++ 
@@ -4,42 +4,43 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
+               debhelper (>= 12),
+               extra-cmake-modules (>= 5.48.0~),
                gperf,
                libkf5activities-dev (>= 5.3.0~),
-               libkf5archive-dev (>= 5.40.0~),
-               libkf5bookmarks-dev (>= 5.40.0~),
-               libkf5config-dev (>= 5.40.0~),
-               libkf5configwidgets-dev (>= 5.40.0~),
-               libkf5coreaddons-dev (>= 5.40.0~),
-               libkf5dbusaddons-dev (>= 5.40.0~),
-               libkf5dnssd-dev (>= 5.40.0~),
-               libkf5doctools-dev (>= 5.40.0~),
-               libkf5guiaddons-dev (>= 5.40.0~),
-               libkf5i18n-dev (>= 5.40.0~),
-               libkf5iconthemes-dev (>= 5.40.0~),
+               libkf5archive-dev (>= 5.48.0~),
+               libkf5bookmarks-dev (>= 5.48.0~),
+               libkf5codecs-dev,
+               libkf5config-dev (>= 5.48.0~),
+               libkf5configwidgets-dev (>= 5.48.0~),
+               libkf5coreaddons-dev (>= 5.48.0~),
+               libkf5dbusaddons-dev (>= 5.48.0~),
+               libkf5dnssd-dev (>= 5.48.0~),
+               libkf5doctools-dev (>= 5.48.0~),
+               libkf5guiaddons-dev (>= 5.48.0~),
+               libkf5i18n-dev (>= 5.48.0~),
+               libkf5iconthemes-dev (>= 5.48.0~),
                libkf5khtml-dev (>= 5.3.0),
-               libkf5kio-dev (>= 5.40.0~),
-               libkf5pty-dev (>= 5.40.0~),
-               libkf5solid-dev (>= 5.40.0~),
-               libkf5syntaxhighlighting-dev (>= 5.40.0~),
+               libkf5kio-dev (>= 5.48.0~),
+               libkf5pty-dev (>= 5.48.0~),
+               libkf5solid-dev (>= 5.48.0~),
+               libkf5syntaxhighlighting-dev (>= 5.48.0~),
                libmtp-dev,
                libopenexr-dev,
                libphonon4qt5-dev (>= 4:4.6.60),
                libphonon4qt5experimental-dev,
-               libqt5svg5-dev (>= 5.5.0~),
+               libqt5svg5-dev (>= 5.8.0~),
                libsmbclient-dev,
                libssh-dev (>= 0.6.0),
                libtag1-dev (>= 1.11~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.5.0~),
+               qtbase5-dev (>= 5.8.0~),
                shared-mime-info,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-extras
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-extras.git
 
 Package: kio-extras
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

l10npkgs_firstversion_ok := 4:16.04.3-7~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

override_dh_auto_test:
	# Tests require a registered logind session. :/
	# If you are reading this, your help is needed to make this work in
	# a reproduceable way either in the buildds or in the autopkgtests
	# servers
	# xvfb-run -a dh_auto_test
